org.wildfly.swarm.config

## Class Elytron.ElytronResources

- java.lang.Object
- - org.wildfly.swarm.config.Elytron.ElytronResources

- Enclosing class:
    Elytron<T extends Elytron<T>>

      public static class Elytron.ElytronResources
      extends Object

  Child mutators for Elytron

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElytronResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddPrefixRoleMapper` | `addPrefixRoleMapper(String key)`
    `List<AddPrefixRoleMapper>` | `addPrefixRoleMappers()` Get the list of AddPrefixRoleMapper resources
    `AddSuffixRoleMapper` | `addSuffixRoleMapper(String key)`
    `List<AddSuffixRoleMapper>` | `addSuffixRoleMappers()` Get the list of AddSuffixRoleMapper resources
    `List<AggregateHTTPServerMechanismFactory>` | `aggregateHttpServerMechanismFactories()` Get the list of AggregateHTTPServerMechanismFactory resources
    `AggregateHTTPServerMechanismFactory` | `aggregateHttpServerMechanismFactory(String key)`
    `AggregatePrincipalDecoder` | `aggregatePrincipalDecoder(String key)`
    `List<AggregatePrincipalDecoder>` | `aggregatePrincipalDecoders()` Get the list of AggregatePrincipalDecoder resources
    `AggregatePrincipalTransformer` | `aggregatePrincipalTransformer(String key)`
    `List<AggregatePrincipalTransformer>` | `aggregatePrincipalTransformers()` Get the list of AggregatePrincipalTransformer resources
    `List<AggregateProviders>` | `aggregateProviders()` Get the list of AggregateProviders resources
    `AggregateProviders` | `aggregateProviders(String key)`
    `AggregateRealm` | `aggregateRealm(String key)`
    `List<AggregateRealm>` | `aggregateRealms()` Get the list of AggregateRealm resources
    `AggregateRoleMapper` | `aggregateRoleMapper(String key)`
    `List<AggregateRoleMapper>` | `aggregateRoleMappers()` Get the list of AggregateRoleMapper resources
    `List<AggregateSASLServerFactory>` | `aggregateSaslServerFactories()` Get the list of AggregateSASLServerFactory resources
    `AggregateSASLServerFactory` | `aggregateSaslServerFactory(String key)`
    `AggregateSecurityEventListener` | `aggregateSecurityEventListener(String key)`
    `List<AggregateSecurityEventListener>` | `aggregateSecurityEventListeners()` Get the list of AggregateSecurityEventListener resources
    `AuthenticationConfiguration` | `authenticationConfiguration(String key)`
    `List<AuthenticationConfiguration>` | `authenticationConfigurations()` Get the list of AuthenticationConfiguration resources
    `AuthenticationContext` | `authenticationContext(String key)`
    `List<AuthenticationContext>` | `authenticationContexts()` Get the list of AuthenticationContext resources
    `CachingRealm` | `cachingRealm(String key)`
    `List<CachingRealm>` | `cachingRealms()` Get the list of CachingRealm resources
    `ChainedPrincipalTransformer` | `chainedPrincipalTransformer(String key)`
    `List<ChainedPrincipalTransformer>` | `chainedPrincipalTransformers()` Get the list of ChainedPrincipalTransformer resources
    `ClientSslContext` | `clientSslContext(String key)`
    `List<ClientSslContext>` | `clientSslContexts()` Get the list of ClientSslContext resources
    `ConcatenatingPrincipalDecoder` | `concatenatingPrincipalDecoder(String key)`
    `List<ConcatenatingPrincipalDecoder>` | `concatenatingPrincipalDecoders()` Get the list of ConcatenatingPrincipalDecoder resources
    `List<ConfigurableHTTPServerMechanismFactory>` | `configurableHttpServerMechanismFactories()` Get the list of ConfigurableHTTPServerMechanismFactory resources
    `ConfigurableHTTPServerMechanismFactory` | `configurableHttpServerMechanismFactory(String key)`
    `List<ConfigurableSASLServerFactory>` | `configurableSaslServerFactories()` Get the list of ConfigurableSASLServerFactory resources
    `ConfigurableSASLServerFactory` | `configurableSaslServerFactory(String key)`
    `ConstantPermissionMapper` | `constantPermissionMapper(String key)`
    `List<ConstantPermissionMapper>` | `constantPermissionMappers()` Get the list of ConstantPermissionMapper resources
    `ConstantPrincipalDecoder` | `constantPrincipalDecoder(String key)`
    `List<ConstantPrincipalDecoder>` | `constantPrincipalDecoders()` Get the list of ConstantPrincipalDecoder resources
    `ConstantPrincipalTransformer` | `constantPrincipalTransformer(String key)`
    `List<ConstantPrincipalTransformer>` | `constantPrincipalTransformers()` Get the list of ConstantPrincipalTransformer resources
    `ConstantRealmMapper` | `constantRealmMapper(String key)`
    `List<ConstantRealmMapper>` | `constantRealmMappers()` Get the list of ConstantRealmMapper resources
    `ConstantRoleMapper` | `constantRoleMapper(String key)`
    `List<ConstantRoleMapper>` | `constantRoleMappers()` Get the list of ConstantRoleMapper resources
    `CredentialStore` | `credentialStore(String key)`
    `List<CredentialStore>` | `credentialStores()` Get the list of CredentialStore resources
    `List<CustomCredentialSecurityFactory>` | `customCredentialSecurityFactories()` Get the list of CustomCredentialSecurityFactory resources
    `CustomCredentialSecurityFactory` | `customCredentialSecurityFactory(String key)`
    `CustomModifiableRealm` | `customModifiableRealm(String key)`
    `List<CustomModifiableRealm>` | `customModifiableRealms()` Get the list of CustomModifiableRealm resources
    `CustomPermissionMapper` | `customPermissionMapper(String key)`
    `List<CustomPermissionMapper>` | `customPermissionMappers()` Get the list of CustomPermissionMapper resources
    `CustomPrincipalDecoder` | `customPrincipalDecoder(String key)`
    `List<CustomPrincipalDecoder>` | `customPrincipalDecoders()` Get the list of CustomPrincipalDecoder resources
    `CustomPrincipalTransformer` | `customPrincipalTransformer(String key)`
    `List<CustomPrincipalTransformer>` | `customPrincipalTransformers()` Get the list of CustomPrincipalTransformer resources
    `CustomRealm` | `customRealm(String key)`
    `CustomRealmMapper` | `customRealmMapper(String key)`
    `List<CustomRealmMapper>` | `customRealmMappers()` Get the list of CustomRealmMapper resources
    `List<CustomRealm>` | `customRealms()` Get the list of CustomRealm resources
    `CustomRoleDecoder` | `customRoleDecoder(String key)`
    `List<CustomRoleDecoder>` | `customRoleDecoders()` Get the list of CustomRoleDecoder resources
    `CustomRoleMapper` | `customRoleMapper(String key)`
    `List<CustomRoleMapper>` | `customRoleMappers()` Get the list of CustomRoleMapper resources
    `DirContext` | `dirContext(String key)`
    `List<DirContext>` | `dirContexts()` Get the list of DirContext resources
    `FileAuditLog` | `fileAuditLog(String key)`
    `List<FileAuditLog>` | `fileAuditLogs()` Get the list of FileAuditLog resources
    `FilesystemRealm` | `filesystemRealm(String key)`
    `List<FilesystemRealm>` | `filesystemRealms()` Get the list of FilesystemRealm resources
    `FilteringKeyStore` | `filteringKeyStore(String key)`
    `List<FilteringKeyStore>` | `filteringKeyStores()` Get the list of FilteringKeyStore resources
    `List<HTTPAuthenticationFactory>` | `httpAuthenticationFactories()` Get the list of HTTPAuthenticationFactory resources
    `HTTPAuthenticationFactory` | `httpAuthenticationFactory(String key)`
    `IdentityRealm` | `identityRealm(String key)`
    `List<IdentityRealm>` | `identityRealms()` Get the list of IdentityRealm resources
    `JDBCRealm` | `jdbcRealm(String key)`
    `List<JDBCRealm>` | `jdbcRealms()` Get the list of JDBCRealm resources
    `List<KerberosSecurityFactory>` | `kerberosSecurityFactories()` Get the list of KerberosSecurityFactory resources
    `KerberosSecurityFactory` | `kerberosSecurityFactory(String key)`
    `KeyManager` | `keyManager(String key)`
    `List<KeyManager>` | `keyManagers()` Get the list of KeyManager resources
    `KeyStore` | `keyStore(String key)`
    `KeyStoreRealm` | `keyStoreRealm(String key)`
    `List<KeyStoreRealm>` | `keyStoreRealms()` Get the list of KeyStoreRealm resources
    `List<KeyStore>` | `keyStores()` Get the list of KeyStore resources
    `LdapKeyStore` | `ldapKeyStore(String key)`
    `List<LdapKeyStore>` | `ldapKeyStores()` Get the list of LdapKeyStore resources
    `LdapRealm` | `ldapRealm(String key)`
    `List<LdapRealm>` | `ldapRealms()` Get the list of LdapRealm resources
    `LogicalPermissionMapper` | `logicalPermissionMapper(String key)`
    `List<LogicalPermissionMapper>` | `logicalPermissionMappers()` Get the list of LogicalPermissionMapper resources
    `LogicalRoleMapper` | `logicalRoleMapper(String key)`
    `List<LogicalRoleMapper>` | `logicalRoleMappers()` Get the list of LogicalRoleMapper resources
    `MappedRegexRealmMapper` | `mappedRegexRealmMapper(String key)`
    `List<MappedRegexRealmMapper>` | `mappedRegexRealmMappers()` Get the list of MappedRegexRealmMapper resources
    `List<MechanismProviderFilteringSASLServerFactory>` | `mechanismProviderFilteringSaslServerFactories()` Get the list of MechanismProviderFilteringSASLServerFactory resources
    `MechanismProviderFilteringSASLServerFactory` | `mechanismProviderFilteringSaslServerFactory(String key)`
    `PeriodicRotatingFileAuditLog` | `periodicRotatingFileAuditLog(String key)`
    `List<PeriodicRotatingFileAuditLog>` | `periodicRotatingFileAuditLogs()` Get the list of PeriodicRotatingFileAuditLog resources
    `List<Policy>` | `policies()` Get the list of Policy resources
    `Policy` | `policy(String key)`
    `PropertiesRealm` | `propertiesRealm(String key)`
    `List<PropertiesRealm>` | `propertiesRealms()` Get the list of PropertiesRealm resources
    `List<ProviderHTTPServerMechanismFactory>` | `providerHttpServerMechanismFactories()` Get the list of ProviderHTTPServerMechanismFactory resources
    `ProviderHTTPServerMechanismFactory` | `providerHttpServerMechanismFactory(String key)`
    `ProviderLoader` | `providerLoader(String key)`
    `List<ProviderLoader>` | `providerLoaders()` Get the list of ProviderLoader resources
    `List<ProviderSASLServerFactory>` | `providerSaslServerFactories()` Get the list of ProviderSASLServerFactory resources
    `ProviderSASLServerFactory` | `providerSaslServerFactory(String key)`
    `RegexPrincipalTransformer` | `regexPrincipalTransformer(String key)`
    `List<RegexPrincipalTransformer>` | `regexPrincipalTransformers()` Get the list of RegexPrincipalTransformer resources
    `RegexValidatingPrincipalTransformer` | `regexValidatingPrincipalTransformer(String key)`
    `List<RegexValidatingPrincipalTransformer>` | `regexValidatingPrincipalTransformers()` Get the list of RegexValidatingPrincipalTransformer resources
    `List<SASLAuthenticationFactory>` | `saslAuthenticationFactories()` Get the list of SASLAuthenticationFactory resources
    `SASLAuthenticationFactory` | `saslAuthenticationFactory(String key)`
    `SecurityDomain` | `securityDomain(String key)`
    `List<SecurityDomain>` | `securityDomains()` Get the list of SecurityDomain resources
    `ServerSslContext` | `serverSslContext(String key)`
    `List<ServerSslContext>` | `serverSslContexts()` Get the list of ServerSslContext resources
    `List<ServiceLoaderHTTPServerMechanismFactory>` | `serviceLoaderHttpServerMechanismFactories()` Get the list of ServiceLoaderHTTPServerMechanismFactory resources
    `ServiceLoaderHTTPServerMechanismFactory` | `serviceLoaderHttpServerMechanismFactory(String key)`
    `List<ServiceLoaderSASLServerFactory>` | `serviceLoaderSaslServerFactories()` Get the list of ServiceLoaderSASLServerFactory resources
    `ServiceLoaderSASLServerFactory` | `serviceLoaderSaslServerFactory(String key)`
    `SimplePermissionMapper` | `simplePermissionMapper(String key)`
    `List<SimplePermissionMapper>` | `simplePermissionMappers()` Get the list of SimplePermissionMapper resources
    `SimpleRegexRealmMapper` | `simpleRegexRealmMapper(String key)`
    `List<SimpleRegexRealmMapper>` | `simpleRegexRealmMappers()` Get the list of SimpleRegexRealmMapper resources
    `SimpleRoleDecoder` | `simpleRoleDecoder(String key)`
    `List<SimpleRoleDecoder>` | `simpleRoleDecoders()` Get the list of SimpleRoleDecoder resources
    `SizeRotatingFileAuditLog` | `sizeRotatingFileAuditLog(String key)`
    `List<SizeRotatingFileAuditLog>` | `sizeRotatingFileAuditLogs()` Get the list of SizeRotatingFileAuditLog resources
    `SyslogAuditLog` | `syslogAuditLog(String key)`
    `List<SyslogAuditLog>` | `syslogAuditLogs()` Get the list of SyslogAuditLog resources
    `TokenRealm` | `tokenRealm(String key)`
    `List<TokenRealm>` | `tokenRealms()` Get the list of TokenRealm resources
    `TrustManager` | `trustManager(String key)`
    `List<TrustManager>` | `trustManagers()` Get the list of TrustManager resources
    `X500AttributePrincipalDecoder` | `x500AttributePrincipalDecoder(String key)`
    `List<X500AttributePrincipalDecoder>` | `x500AttributePrincipalDecoders()` Get the list of X500AttributePrincipalDecoder resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElytronResources

          public ElytronResources()

  - ### Method Detail

    - #### customPrincipalTransformers

          public List<CustomPrincipalTransformer> customPrincipalTransformers()

      Get the list of CustomPrincipalTransformer resources
      Returns:
        the list of resources

    - #### customPrincipalTransformer

          public CustomPrincipalTransformer customPrincipalTransformer(String key)

    - #### constantPrincipalDecoders

          public List<ConstantPrincipalDecoder> constantPrincipalDecoders()

      Get the list of ConstantPrincipalDecoder resources
      Returns:
        the list of resources

    - #### constantPrincipalDecoder

          public ConstantPrincipalDecoder constantPrincipalDecoder(String key)

    - #### aggregateRealms

          public List<AggregateRealm> aggregateRealms()

      Get the list of AggregateRealm resources
      Returns:
        the list of resources

    - #### aggregateRealm

          public AggregateRealm aggregateRealm(String key)

    - #### customRoleMappers

          public List<CustomRoleMapper> customRoleMappers()

      Get the list of CustomRoleMapper resources
      Returns:
        the list of resources

    - #### customRoleMapper

          public CustomRoleMapper customRoleMapper(String key)

    - #### filesystemRealms

          public List<FilesystemRealm> filesystemRealms()

      Get the list of FilesystemRealm resources
      Returns:
        the list of resources

    - #### filesystemRealm

          public FilesystemRealm filesystemRealm(String key)

    - #### logicalPermissionMappers

          public List<LogicalPermissionMapper> logicalPermissionMappers()

      Get the list of LogicalPermissionMapper resources
      Returns:
        the list of resources

    - #### logicalPermissionMapper

          public LogicalPermissionMapper logicalPermissionMapper(String key)

    - #### constantPrincipalTransformers

          public List<ConstantPrincipalTransformer> constantPrincipalTransformers()

      Get the list of ConstantPrincipalTransformer resources
      Returns:
        the list of resources

    - #### constantPrincipalTransformer

          public ConstantPrincipalTransformer constantPrincipalTransformer(String key)

    - #### customRealms

          public List<CustomRealm> customRealms()

      Get the list of CustomRealm resources
      Returns:
        the list of resources

    - #### customRealm

          public CustomRealm customRealm(String key)

    - #### saslAuthenticationFactories

          public List<SASLAuthenticationFactory> saslAuthenticationFactories()

      Get the list of SASLAuthenticationFactory resources
      Returns:
        the list of resources

    - #### saslAuthenticationFactory

          public SASLAuthenticationFactory saslAuthenticationFactory(String key)

    - #### serviceLoaderHttpServerMechanismFactories

          public List<ServiceLoaderHTTPServerMechanismFactory> serviceLoaderHttpServerMechanismFactories()

      Get the list of ServiceLoaderHTTPServerMechanismFactory resources
      Returns:
        the list of resources

    - #### serviceLoaderHttpServerMechanismFactory

          public ServiceLoaderHTTPServerMechanismFactory serviceLoaderHttpServerMechanismFactory(String key)

    - #### jdbcRealms

          public List<JDBCRealm> jdbcRealms()

      Get the list of JDBCRealm resources
      Returns:
        the list of resources

    - #### jdbcRealm

          public JDBCRealm jdbcRealm(String key)

    - #### customRoleDecoders

          public List<CustomRoleDecoder> customRoleDecoders()

      Get the list of CustomRoleDecoder resources
      Returns:
        the list of resources

    - #### customRoleDecoder

          public CustomRoleDecoder customRoleDecoder(String key)

    - #### credentialStores

          public List<CredentialStore> credentialStores()

      Get the list of CredentialStore resources
      Returns:
        the list of resources

    - #### credentialStore

          public CredentialStore credentialStore(String key)

    - #### kerberosSecurityFactories

          public List<KerberosSecurityFactory> kerberosSecurityFactories()

      Get the list of KerberosSecurityFactory resources
      Returns:
        the list of resources

    - #### kerberosSecurityFactory

          public KerberosSecurityFactory kerberosSecurityFactory(String key)

    - #### configurableHttpServerMechanismFactories

          public List<ConfigurableHTTPServerMechanismFactory> configurableHttpServerMechanismFactories()

      Get the list of ConfigurableHTTPServerMechanismFactory resources
      Returns:
        the list of resources

    - #### configurableHttpServerMechanismFactory

          public ConfigurableHTTPServerMechanismFactory configurableHttpServerMechanismFactory(String key)

    - #### providerHttpServerMechanismFactories

          public List<ProviderHTTPServerMechanismFactory> providerHttpServerMechanismFactories()

      Get the list of ProviderHTTPServerMechanismFactory resources
      Returns:
        the list of resources

    - #### providerHttpServerMechanismFactory

          public ProviderHTTPServerMechanismFactory providerHttpServerMechanismFactory(String key)

    - #### logicalRoleMappers

          public List<LogicalRoleMapper> logicalRoleMappers()

      Get the list of LogicalRoleMapper resources
      Returns:
        the list of resources

    - #### logicalRoleMapper

          public LogicalRoleMapper logicalRoleMapper(String key)

    - #### aggregateRoleMappers

          public List<AggregateRoleMapper> aggregateRoleMappers()

      Get the list of AggregateRoleMapper resources
      Returns:
        the list of resources

    - #### aggregateRoleMapper

          public AggregateRoleMapper aggregateRoleMapper(String key)

    - #### providerLoaders

          public List<ProviderLoader> providerLoaders()

      Get the list of ProviderLoader resources
      Returns:
        the list of resources

    - #### providerLoader

          public ProviderLoader providerLoader(String key)

    - #### customPrincipalDecoders

          public List<CustomPrincipalDecoder> customPrincipalDecoders()

      Get the list of CustomPrincipalDecoder resources
      Returns:
        the list of resources

    - #### customPrincipalDecoder

          public CustomPrincipalDecoder customPrincipalDecoder(String key)

    - #### sizeRotatingFileAuditLogs

          public List<SizeRotatingFileAuditLog> sizeRotatingFileAuditLogs()

      Get the list of SizeRotatingFileAuditLog resources
      Returns:
        the list of resources

    - #### sizeRotatingFileAuditLog

          public SizeRotatingFileAuditLog sizeRotatingFileAuditLog(String key)

    - #### constantPermissionMappers

          public List<ConstantPermissionMapper> constantPermissionMappers()

      Get the list of ConstantPermissionMapper resources
      Returns:
        the list of resources

    - #### constantPermissionMapper

          public ConstantPermissionMapper constantPermissionMapper(String key)

    - #### tokenRealms

          public List<TokenRealm> tokenRealms()

      Get the list of TokenRealm resources
      Returns:
        the list of resources

    - #### tokenRealm

          public TokenRealm tokenRealm(String key)

    - #### clientSslContexts

          public List<ClientSslContext> clientSslContexts()

      Get the list of ClientSslContext resources
      Returns:
        the list of resources

    - #### clientSslContext

          public ClientSslContext clientSslContext(String key)

    - #### securityDomains

          public List<SecurityDomain> securityDomains()

      Get the list of SecurityDomain resources
      Returns:
        the list of resources

    - #### securityDomain

          public SecurityDomain securityDomain(String key)

    - #### constantRoleMappers

          public List<ConstantRoleMapper> constantRoleMappers()

      Get the list of ConstantRoleMapper resources
      Returns:
        the list of resources

    - #### constantRoleMapper

          public ConstantRoleMapper constantRoleMapper(String key)

    - #### identityRealms

          public List<IdentityRealm> identityRealms()

      Get the list of IdentityRealm resources
      Returns:
        the list of resources

    - #### identityRealm

          public IdentityRealm identityRealm(String key)

    - #### filteringKeyStores

          public List<FilteringKeyStore> filteringKeyStores()

      Get the list of FilteringKeyStore resources
      Returns:
        the list of resources

    - #### filteringKeyStore

          public FilteringKeyStore filteringKeyStore(String key)

    - #### propertiesRealms

          public List<PropertiesRealm> propertiesRealms()

      Get the list of PropertiesRealm resources
      Returns:
        the list of resources

    - #### propertiesRealm

          public PropertiesRealm propertiesRealm(String key)

    - #### aggregatePrincipalDecoders

          public List<AggregatePrincipalDecoder> aggregatePrincipalDecoders()

      Get the list of AggregatePrincipalDecoder resources
      Returns:
        the list of resources

    - #### aggregatePrincipalDecoder

          public AggregatePrincipalDecoder aggregatePrincipalDecoder(String key)

    - #### aggregatePrincipalTransformers

          public List<AggregatePrincipalTransformer> aggregatePrincipalTransformers()

      Get the list of AggregatePrincipalTransformer resources
      Returns:
        the list of resources

    - #### aggregatePrincipalTransformer

          public AggregatePrincipalTransformer aggregatePrincipalTransformer(String key)

    - #### customCredentialSecurityFactories

          public List<CustomCredentialSecurityFactory> customCredentialSecurityFactories()

      Get the list of CustomCredentialSecurityFactory resources
      Returns:
        the list of resources

    - #### customCredentialSecurityFactory

          public CustomCredentialSecurityFactory customCredentialSecurityFactory(String key)

    - #### periodicRotatingFileAuditLogs

          public List<PeriodicRotatingFileAuditLog> periodicRotatingFileAuditLogs()

      Get the list of PeriodicRotatingFileAuditLog resources
      Returns:
        the list of resources

    - #### periodicRotatingFileAuditLog

          public PeriodicRotatingFileAuditLog periodicRotatingFileAuditLog(String key)

    - #### simplePermissionMappers

          public List<SimplePermissionMapper> simplePermissionMappers()

      Get the list of SimplePermissionMapper resources
      Returns:
        the list of resources

    - #### simplePermissionMapper

          public SimplePermissionMapper simplePermissionMapper(String key)

    - #### constantRealmMappers

          public List<ConstantRealmMapper> constantRealmMappers()

      Get the list of ConstantRealmMapper resources
      Returns:
        the list of resources

    - #### constantRealmMapper

          public ConstantRealmMapper constantRealmMapper(String key)

    - #### simpleRoleDecoders

          public List<SimpleRoleDecoder> simpleRoleDecoders()

      Get the list of SimpleRoleDecoder resources
      Returns:
        the list of resources

    - #### simpleRoleDecoder

          public SimpleRoleDecoder simpleRoleDecoder(String key)

    - #### configurableSaslServerFactories

          public List<ConfigurableSASLServerFactory> configurableSaslServerFactories()

      Get the list of ConfigurableSASLServerFactory resources
      Returns:
        the list of resources

    - #### configurableSaslServerFactory

          public ConfigurableSASLServerFactory configurableSaslServerFactory(String key)

    - #### regexValidatingPrincipalTransformers

          public List<RegexValidatingPrincipalTransformer> regexValidatingPrincipalTransformers()

      Get the list of RegexValidatingPrincipalTransformer resources
      Returns:
        the list of resources

    - #### regexValidatingPrincipalTransformer

          public RegexValidatingPrincipalTransformer regexValidatingPrincipalTransformer(String key)

    - #### serviceLoaderSaslServerFactories

          public List<ServiceLoaderSASLServerFactory> serviceLoaderSaslServerFactories()

      Get the list of ServiceLoaderSASLServerFactory resources
      Returns:
        the list of resources

    - #### serviceLoaderSaslServerFactory

          public ServiceLoaderSASLServerFactory serviceLoaderSaslServerFactory(String key)

    - #### ldapKeyStores

          public List<LdapKeyStore> ldapKeyStores()

      Get the list of LdapKeyStore resources
      Returns:
        the list of resources

    - #### ldapKeyStore

          public LdapKeyStore ldapKeyStore(String key)

    - #### x500AttributePrincipalDecoders

          public List<X500AttributePrincipalDecoder> x500AttributePrincipalDecoders()

      Get the list of X500AttributePrincipalDecoder resources
      Returns:
        the list of resources

    - #### x500AttributePrincipalDecoder

          public X500AttributePrincipalDecoder x500AttributePrincipalDecoder(String key)

    - #### dirContexts

          public List<DirContext> dirContexts()

      Get the list of DirContext resources
      Returns:
        the list of resources

    - #### dirContext

          public DirContext dirContext(String key)

    - #### mappedRegexRealmMappers

          public List<MappedRegexRealmMapper> mappedRegexRealmMappers()

      Get the list of MappedRegexRealmMapper resources
      Returns:
        the list of resources

    - #### mappedRegexRealmMapper

          public MappedRegexRealmMapper mappedRegexRealmMapper(String key)

    - #### syslogAuditLogs

          public List<SyslogAuditLog> syslogAuditLogs()

      Get the list of SyslogAuditLog resources
      Returns:
        the list of resources

    - #### syslogAuditLog

          public SyslogAuditLog syslogAuditLog(String key)

    - #### aggregateSecurityEventListeners

          public List<AggregateSecurityEventListener> aggregateSecurityEventListeners()

      Get the list of AggregateSecurityEventListener resources
      Returns:
        the list of resources

    - #### aggregateSecurityEventListener

          public AggregateSecurityEventListener aggregateSecurityEventListener(String key)

    - #### chainedPrincipalTransformers

          public List<ChainedPrincipalTransformer> chainedPrincipalTransformers()

      Get the list of ChainedPrincipalTransformer resources
      Returns:
        the list of resources

    - #### chainedPrincipalTransformer

          public ChainedPrincipalTransformer chainedPrincipalTransformer(String key)

    - #### authenticationContexts

          public List<AuthenticationContext> authenticationContexts()

      Get the list of AuthenticationContext resources
      Returns:
        the list of resources

    - #### authenticationContext

          public AuthenticationContext authenticationContext(String key)

    - #### fileAuditLogs

          public List<FileAuditLog> fileAuditLogs()

      Get the list of FileAuditLog resources
      Returns:
        the list of resources

    - #### fileAuditLog

          public FileAuditLog fileAuditLog(String key)

    - #### keyStoreRealms

          public List<KeyStoreRealm> keyStoreRealms()

      Get the list of KeyStoreRealm resources
      Returns:
        the list of resources

    - #### keyStoreRealm

          public KeyStoreRealm keyStoreRealm(String key)

    - #### policies

          public List<Policy> policies()

      Get the list of Policy resources
      Returns:
        the list of resources

    - #### policy

          public Policy policy(String key)

    - #### authenticationConfigurations

          public List<AuthenticationConfiguration> authenticationConfigurations()

      Get the list of AuthenticationConfiguration resources
      Returns:
        the list of resources

    - #### authenticationConfiguration

          public AuthenticationConfiguration authenticationConfiguration(String key)

    - #### providerSaslServerFactories

          public List<ProviderSASLServerFactory> providerSaslServerFactories()

      Get the list of ProviderSASLServerFactory resources
      Returns:
        the list of resources

    - #### providerSaslServerFactory

          public ProviderSASLServerFactory providerSaslServerFactory(String key)

    - #### customModifiableRealms

          public List<CustomModifiableRealm> customModifiableRealms()

      Get the list of CustomModifiableRealm resources
      Returns:
        the list of resources

    - #### customModifiableRealm

          public CustomModifiableRealm customModifiableRealm(String key)

    - #### addPrefixRoleMappers

          public List<AddPrefixRoleMapper> addPrefixRoleMappers()

      Get the list of AddPrefixRoleMapper resources
      Returns:
        the list of resources

    - #### addPrefixRoleMapper

          public AddPrefixRoleMapper addPrefixRoleMapper(String key)

    - #### aggregateHttpServerMechanismFactories

          public List<AggregateHTTPServerMechanismFactory> aggregateHttpServerMechanismFactories()

      Get the list of AggregateHTTPServerMechanismFactory resources
      Returns:
        the list of resources

    - #### aggregateHttpServerMechanismFactory

          public AggregateHTTPServerMechanismFactory aggregateHttpServerMechanismFactory(String key)

    - #### customRealmMappers

          public List<CustomRealmMapper> customRealmMappers()

      Get the list of CustomRealmMapper resources
      Returns:
        the list of resources

    - #### customRealmMapper

          public CustomRealmMapper customRealmMapper(String key)

    - #### regexPrincipalTransformers

          public List<RegexPrincipalTransformer> regexPrincipalTransformers()

      Get the list of RegexPrincipalTransformer resources
      Returns:
        the list of resources

    - #### regexPrincipalTransformer

          public RegexPrincipalTransformer regexPrincipalTransformer(String key)

    - #### trustManagers

          public List<TrustManager> trustManagers()

      Get the list of TrustManager resources
      Returns:
        the list of resources

    - #### trustManager

          public TrustManager trustManager(String key)

    - #### mechanismProviderFilteringSaslServerFactories

          public List<MechanismProviderFilteringSASLServerFactory> mechanismProviderFilteringSaslServerFactories()

      Get the list of MechanismProviderFilteringSASLServerFactory resources
      Returns:
        the list of resources

    - #### mechanismProviderFilteringSaslServerFactory

          public MechanismProviderFilteringSASLServerFactory mechanismProviderFilteringSaslServerFactory(String key)

    - #### ldapRealms

          public List<LdapRealm> ldapRealms()

      Get the list of LdapRealm resources
      Returns:
        the list of resources

    - #### ldapRealm

          public LdapRealm ldapRealm(String key)

    - #### aggregateProviders

          public List<AggregateProviders> aggregateProviders()

      Get the list of AggregateProviders resources
      Returns:
        the list of resources

    - #### aggregateProviders

          public AggregateProviders aggregateProviders(String key)

    - #### keyStores

          public List<KeyStore> keyStores()

      Get the list of KeyStore resources
      Returns:
        the list of resources

    - #### keyStore

          public KeyStore keyStore(String key)

    - #### httpAuthenticationFactories

          public List<HTTPAuthenticationFactory> httpAuthenticationFactories()

      Get the list of HTTPAuthenticationFactory resources
      Returns:
        the list of resources

    - #### httpAuthenticationFactory

          public HTTPAuthenticationFactory httpAuthenticationFactory(String key)

    - #### aggregateSaslServerFactories

          public List<AggregateSASLServerFactory> aggregateSaslServerFactories()

      Get the list of AggregateSASLServerFactory resources
      Returns:
        the list of resources

    - #### aggregateSaslServerFactory

          public AggregateSASLServerFactory aggregateSaslServerFactory(String key)

    - #### simpleRegexRealmMappers

          public List<SimpleRegexRealmMapper> simpleRegexRealmMappers()

      Get the list of SimpleRegexRealmMapper resources
      Returns:
        the list of resources

    - #### simpleRegexRealmMapper

          public SimpleRegexRealmMapper simpleRegexRealmMapper(String key)

    - #### cachingRealms

          public List<CachingRealm> cachingRealms()

      Get the list of CachingRealm resources
      Returns:
        the list of resources

    - #### cachingRealm

          public CachingRealm cachingRealm(String key)

    - #### keyManagers

          public List<KeyManager> keyManagers()

      Get the list of KeyManager resources
      Returns:
        the list of resources

    - #### keyManager

          public KeyManager keyManager(String key)

    - #### serverSslContexts

          public List<ServerSslContext> serverSslContexts()

      Get the list of ServerSslContext resources
      Returns:
        the list of resources

    - #### serverSslContext

          public ServerSslContext serverSslContext(String key)

    - #### addSuffixRoleMappers

          public List<AddSuffixRoleMapper> addSuffixRoleMappers()

      Get the list of AddSuffixRoleMapper resources
      Returns:
        the list of resources

    - #### addSuffixRoleMapper

          public AddSuffixRoleMapper addSuffixRoleMapper(String key)

    - #### customPermissionMappers

          public List<CustomPermissionMapper> customPermissionMappers()

      Get the list of CustomPermissionMapper resources
      Returns:
        the list of resources

    - #### customPermissionMapper

          public CustomPermissionMapper customPermissionMapper(String key)

    - #### concatenatingPrincipalDecoders

          public List<ConcatenatingPrincipalDecoder> concatenatingPrincipalDecoders()

      Get the list of ConcatenatingPrincipalDecoder resources
      Returns:
        the list of resources

    - #### concatenatingPrincipalDecoder

          public ConcatenatingPrincipalDecoder concatenatingPrincipalDecoder(String key)

Copyright © 2018 JBoss by Red Hat. All rights reserved.